package com.afeiamic.springcloud.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Slf4j
public class SmsController {

    @Value("${server.port}")
    private String serverPort;

    @GetMapping("/payment/sms")
    public String sms() {
        return "sms provider service: \tserverPort: " + serverPort;
    }
}
