package com.afeiamic.springcloud.service;

import com.afeiamic.springcloud.domain.R;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "seata-storage-service")
public interface StorageService {

    @PostMapping("/storage/decrease")
    public R decrease(@RequestParam("productId") Long productId, @RequestParam("count") Integer count);
}
