package com.afeiamic.springcloud.config;

import org.springframework.cloud.gateway.route.RouteLocator;
import org.springframework.cloud.gateway.route.builder.RouteLocatorBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class GatewayConfig {

    @Bean
    public RouteLocator customerRouteLocator(RouteLocatorBuilder routeLocatorBuilder) {
        RouteLocatorBuilder.Builder routes = routeLocatorBuilder.routes();
        routes.route("path_route_afeiamic", r -> r.path("/society").uri("https://www.chinanews.com/society"));
        routes.route("path_route_afeiamic2", r-> r.path("/world").uri("https://www.chinanews.com/world"));
        return routes.build();
    }
}
