package com.afeiamic.springcloud.service.fallback;

import com.afeiamic.springcloud.entities.Payment;
import com.afeiamic.springcloud.entities.R;
import com.afeiamic.springcloud.service.PaymentService;
import org.springframework.stereotype.Service;

@Service
public class PaymentFallbackService implements PaymentService {

    @Override
    public R<Payment> paymentSQL(Long id) {
        return new R<>(444, "服务降级返回 , 没有该流水信息", new Payment(id, "errorSerial..."));
    }
}
