package com.afeiamic.springcloud.controller;

import com.afeiamic.springcloud.domain.R;
import com.afeiamic.springcloud.service.AccountService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.concurrent.TimeUnit;

@RestController
public class AccountController {

    @Resource
    private AccountService accountService;

    @PostMapping("/account/decrease")
    public R<Object> decrease(@RequestParam("userId") Long userId, @RequestParam("money") BigDecimal money) {
        accountService.decrease(userId, money);
        try { TimeUnit.SECONDS.sleep(10); }catch (Exception e) {e.printStackTrace();}
        return new R<>(200, "账户余额扣减成功");
    }
}
