package com.afeiamic.springcloud.controller;

import com.afeiamic.springcloud.domain.Order;
import com.afeiamic.springcloud.domain.R;
import com.afeiamic.springcloud.service.OrderService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class OrderController {

    @Resource
    private OrderService orderService;

    @GetMapping("/order/create")
    public R<Object> create(Order order) {
        orderService.create(order);
        return new R<>(200, "订单创建成功");
    }
}
