package com.afeiamic.springcloud.service;

import com.afeiamic.springcloud.domain.R;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;

@FeignClient("seata-account-service")
public interface AccountService {

    @PostMapping("/account/decrease")
    public R decrease(@RequestParam("userId") Long userId, @RequestParam("money") BigDecimal money);
}
